std::chrono::gps_clock Class Reference
Utilities » Time

`#include <chrono>`

## Public Types

using | duration
using | period
using | rep
using | time_point

## Static Public Member Functions

template<typename _Duration>
static gps_time< common_type_t< _Duration, seconds > > | from_utc (const utc_time< _Duration > &__t)
static time_point | now ()
template<typename _Duration>
static utc_time< common_type_t< _Duration, seconds > > | to_utc (const gps_time< _Duration > &__t)

## Static Public Attributes

static constexpr bool | is_steady

## Detailed Description

A clock that measures GPS time.

The epoch is 1980-01-06 00:00:00.

Since
  C++20

Definition at line 217 of file chrono.

## Member Typedef Documentation

## duration

using std::chrono::gps_clock::duration

Definition at line 222 of file chrono.

## period

using std::chrono::gps_clock::period

Definition at line 221 of file chrono.

## rep

using std::chrono::gps_clock::rep

Definition at line 220 of file chrono.

## time_point

using std::chrono::gps_clock::time_point

Definition at line 223 of file chrono.

## Member Function Documentation

## from_utc()

template<typename _Duration>

gps_time< common_type_t< _Duration, seconds > > std::chrono::gps_clock::from_utc | ( | const utc_time< _Duration > & | __t | ) |

inline static nodiscard

Definition at line 242 of file chrono.

## to_utc()

template<typename _Duration>

utc_time< common_type_t< _Duration, seconds > > std::chrono::gps_clock::to_utc | ( | const gps_time< _Duration > & | __t | ) |

inline static nodiscard

Definition at line 233 of file chrono.

## Member Data Documentation

## is_steady

bool std::chrono::gps_clock::is_steady

static constexpr

Definition at line 224 of file chrono.

The documentation for this class was generated from the following file:

- chrono